Package org.eclipse.app4mc.amalthea.model.util

## Class ModelUtil

- Object
- - ModelUtil

    public class ModelUtil
    extends Object

### Method Summary

All Methods
`static ActivityGraph` `getOrCreateActivityGraph​(@NonNull Process process)`
`static ActivityGraph` `getOrCreateActivityGraph​(@NonNull Runnable runnable)`
`static CommonElements` `getOrCreateCommonElements​(@NonNull Amalthea model)`
`static ComponentsModel` `getOrCreateComponentsModel​(@NonNull Amalthea model)`
`static ConfigModel` `getOrCreateConfigModel​(@NonNull Amalthea model)`
`static ConstraintsModel` `getOrCreateConstraintsModel​(@NonNull Amalthea model)`
`static EventModel` `getOrCreateEventModel​(@NonNull Amalthea model)`
`static HWModel` `getOrCreateHwModel​(@NonNull Amalthea model)`
`static MappingModel` `getOrCreateMappingModel​(@NonNull Amalthea model)`
`static OSModel` `getOrCreateOsModel​(@NonNull Amalthea model)`
`static PropertyConstraintsModel` `getOrCreatePropertyConstraintsModel​(@NonNull Amalthea model)`
`static StimuliModel` `getOrCreateStimuliModel​(@NonNull Amalthea model)`
`static SWModel` `getOrCreateSwModel​(@NonNull Amalthea model)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOrCreateCommonElements

    public static CommonElements getOrCreateCommonElements​(@NonNull Amalthea model)

#### getOrCreateSwModel

    public static SWModel getOrCreateSwModel​(@NonNull Amalthea model)

#### getOrCreateHwModel

    public static HWModel getOrCreateHwModel​(@NonNull Amalthea model)

#### getOrCreateOsModel

    public static OSModel getOrCreateOsModel​(@NonNull Amalthea model)

#### getOrCreateStimuliModel

    public static StimuliModel getOrCreateStimuliModel​(@NonNull Amalthea model)

#### getOrCreateEventModel

    public static EventModel getOrCreateEventModel​(@NonNull Amalthea model)

#### getOrCreateConstraintsModel

    public static ConstraintsModel getOrCreateConstraintsModel​(@NonNull Amalthea model)

#### getOrCreatePropertyConstraintsModel

    public static PropertyConstraintsModel getOrCreatePropertyConstraintsModel​(@NonNull Amalthea model)

#### getOrCreateMappingModel

    public static MappingModel getOrCreateMappingModel​(@NonNull Amalthea model)

#### getOrCreateComponentsModel

    public static ComponentsModel getOrCreateComponentsModel​(@NonNull Amalthea model)

#### getOrCreateConfigModel

    public static ConfigModel getOrCreateConfigModel​(@NonNull Amalthea model)

#### getOrCreateActivityGraph

    public static ActivityGraph getOrCreateActivityGraph​(@NonNull Process process)

#### getOrCreateActivityGraph

    public static ActivityGraph getOrCreateActivityGraph​(@NonNull Runnable runnable)